package day23

import (
	"fmt"
	"log"
)

// length of longest scenic route
func Run() int {
	fmt.Println("day 23")
	filename := "day23/input"
	field := ReadField(filename)
	finalPaths := RunDFSTingy(field)
	// log.Println(finalPaths)

	max := 0
	for _, path := range finalPaths {
		if path.Visited.Cardinality() > max {
			log.Println("one path len is ", path.Visited.Cardinality())
			max = path.Visited.Cardinality()
		}
	}
	return max
}

